VkPipelineInputAssemblyStateCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineInputAssemblyStateCreateFlags | flags
VkPrimitiveTopology | topology
VkBool32 | primitiveRestartEnable

## Detailed Description

Definition at line 1965 of file vulkan.h.

## Field Documentation

## flags

VkPipelineInputAssemblyStateCreateFlags VkPipelineInputAssemblyStateCreateInfo::flags

Definition at line 1968 of file vulkan.h.

## pNext

const void* VkPipelineInputAssemblyStateCreateInfo::pNext

Definition at line 1967 of file vulkan.h.

## primitiveRestartEnable

VkBool32 VkPipelineInputAssemblyStateCreateInfo::primitiveRestartEnable

Definition at line 1970 of file vulkan.h.

## sType

VkStructureType VkPipelineInputAssemblyStateCreateInfo::sType

Definition at line 1966 of file vulkan.h.

## topology

VkPrimitiveTopology VkPipelineInputAssemblyStateCreateInfo::topology

Definition at line 1969 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h